FROM registry.gitlab.com/sisicmbio/pdci/image_file_dump:empty AS sql
ENV APP_PROJETO "SentryTeste"
COPY sql  /sql/
ENTRYPOINT ["/sbin/tini", "--","/bin/pdci_upd_sql.sh"]

FROM registry.gitlab.com/sisicmbio/infra/alpine-3.11_php7_apache2:develop AS apptestesentry
ARG PDCI_APP_PROJETO
ARG PDCI_COMMIT_REF_NAME
ARG PDCI_COMMIT_SHA
ARG PDCI_COMMIT_SHORT_SHA
ARG PDCI_COMMIT_TAG
LABEL PDCI_COMMIT_REF_NAME="${PDCI_COMMIT_REF_NAME}"
LABEL PDCI_COMMIT_SHA="${PDCI_COMMIT_SHA}"
LABEL PDCI_COMMIT_SHORT_SHA="${PDCI_COMMIT_SHORT_SHA}"
LABEL PDCI_COMMIT_TAG="${PDCI_COMMIT_TAG}"

RUN apk add --update --no-cache jq apache2-ssl apache2-utils openssl gettext tzdata postfix && \
    cp /usr/share/zoneinfo/Brazil/East /etc/localtime && \
#Instalar o teste de mandar erro do shell para o sentry
    curl -sL https://sentry.io/get-cli/ | bash

COPY conf/alpine /

RUN chmod +x /usr/local/bin/app-*

RUN cd /tmp/ && \
    rm -rf /var/www/html/  && \
    rm -rf appteste && \
    composer global require laravel/installer  && \
    composer create-project --prefer-dist laravel/laravel appteste "6.*" && \
    cd appteste  && \
    composer require sentry/sentry-laravel:1.7.0 && \
    php artisan key:generate --ansi && \
    cd /tmp/ && \
    mv -f -v  /tmp/appteste/ /var/www/html/
#    && \
#    chown apache:apache /var/www/html/ -R && \
#    chmod -R 760 /var/www/html/ -R && \
#    mkdir -p /src

COPY src/ /var/www/html/
COPY src/.env.example /var/www/html/.env

RUN chown apache:apache /var/www/html/ -R && \
    chmod -R 760 /var/www/html/ -R

EXPOSE 80 443

CMD ["app-run"]